### Home Classes Methods

### In Files

- ext/libv8/location.rb

### Parent

Object

### Namespace

- CLASS Libv8::Location::MkmfContext
- CLASS Libv8::Location::System
- CLASS Libv8::Location::Vendor

### Methods

- ::load!
- #install!

### Files

- Makefile

### Class/Module Index

Quicksearch

- Libv8
- Libv8::Arch
- Libv8::Builder
- Libv8::Checkout
- Libv8::Compiler
- Libv8::Location
- Libv8::Location::MkmfContext
- Libv8::Location::System
- Libv8::Location::System::NotFoundError
- Libv8::Location::Vendor
- Libv8::Location::Vendor::ArchiveNotFound
- Libv8::Make
- Libv8::Paths

No matching classes.

# Libv8::Location

### Public Class Methods

load!() click to toggle source

    # File ext/libv8/location.rb, line 14
    def self.load!
      File.open(Pathname(__FILE__).dirname.join('.location.yml')) do |f|
        YAML.load f
      end
    end

### Public Instance Methods

install!() click to toggle source

    # File ext/libv8/location.rb, line 7
    def install!
      File.open(Pathname(__FILE__).dirname.join('.location.yml'), "w") do |f|
        f.write self.to_yaml
      end
      return 0
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.